--- chrome/browser/download/download_util.cc
+++ chrome/browser/download/download_util.cc
@@ -30,7 +30,7 @@
 #include "views/drag_utils.h"
 #endif
 
-#if defined(TOOLKIT_VIEWS) && defined(OS_LINUX)
+#if defined(TOOLKIT_VIEWS) && (defined(OS_NIX))
 #include "app/drag_drop_types.h"
 #include "views/widget/widget_gtk.h"
 #endif
@@ -274,7 +274,7 @@ void DragDownload(const DownloadItem* download,
   DWORD effects;
   DoDragDrop(OSExchangeDataProviderWin::GetIDataObject(data), drag_source.get(),
              DROPEFFECT_COPY | DROPEFFECT_LINK, &effects);
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
   GtkWidget* root = gtk_widget_get_toplevel(view);
   if (!root)
     return;
@@ -285,12 +285,12 @@ void DragDownload(const DownloadItem* download,
   widget->DoDrag(data, DragDropTypes::DRAG_COPY | DragDropTypes::DRAG_LINK);
 #endif  // OS_WIN
 }
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
 void DragDownload(const DownloadItem* download,
                   SkBitmap* icon,
                   gfx::NativeView view) {
   NOTIMPLEMENTED();
 }
-#endif  // OS_LINUX
+#endif // USE_X11
 
 }  // namespace download_util
diff --git chrome/browser/extensions/extension_browsertests_misc.cc chrome/browser/extensions/extension_browsertests_misc.cc
index a10446f..e6d3ef9 100644
